### Method

# Fwupd Client refresh_remote

#### Declaration [src]

    gboolean
    fwupd_client_refresh_remote (
      FwupdClient* self,
      FwupdRemote* remote,
      FwupdClientDownloadFlags download_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Refreshes a remote by downloading new metadata.

Available since: | 2.0.0

#### Parameters

`remote` | `FwupdRemote`
| A `FwupdRemote`.
| The data is owned by the caller of the function.
`download_flags` | `FwupdClientDownloadFlags`
| Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_ONLY_P2P`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.